# $Revision: 1.18 $, $Date: 2003/11/24 12:13:51 $
Summary:	Toshiba Linux Utilities
Summary(es):	Herramientas para Toshibas para Linux
Summary(pl):	Programy dla notebookw firmy Toshiba
Name:		toshutils
Version:	2.0.1
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://www.buzzard.org.uk/toshiba/%{name}-%{version}.tar.gz
# Source0-md5:	807589cf1e209eb0a39e1ede427140d5
Source1:	%{name}-fan.init
Patch0:		%{name}-include.patch
Patch1:		%{name}-gtk+2.patch
URL:		http://www.buzzard.org.uk/toshiba/
BuildRequires:	XFree86-tools
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
Requires(post,preun):	/sbin/chkconfig
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small series of programs to control the more Toshiba
specific aspects of their laptops. In particular they allow many of
the settings controlled by either Toshiba's MaxTime or Power Saver
utilities to be changed under Linux.

The Toshiba Linux utilities are specific to Toshiba laptops, and will
not run on laptops from other manufactures. In addition they will not
run on Satellite 15xx, 16xx, 17xx and 35DVD machines from Toshiba
either. These models sport Pheonix BIOS'es and are made in that part
of China that is not part of China. In short they are not true Toshiba
laptops and are unlikely to ever be supported by the Toshiba Linux
Utilities.

%description -l es
sta es una serie pequea de programas para controlar las idiosincracias
de porttiles de Toshiba. Entre otros habilitan ajustar muchos de los
parametros normalmente ajustados por MaxTime o Power Saver.

Como estas herramientas usan cdigo especfico para Toshiba, no
funcionarn con otros porttiles. Adems, tampoco servirn para
Toshiba Satellite 15xx, 16xx, 17xx y 35DVD. Esos modelos contienen BIOS
de Phoenix y estn producidas en aquella parte de China que no es parte
de China. O sea que no son verdaderos porttiles de Toshiba y es dudoso
que jams sean soportados por estas herramientas.

%description -l pl
Seria maych programikw pozwalajcych kontrolowa/zmienia
specyficzne dla notebookw firmy Toshiba ustawienia, w szczeglnoci
wiele ustawie z narzdzi Toshiba MaxTome albo Power Saver.

Te narzdzia s przeznaczone dla laptopw Toshiby i nie bd dziaa z
laptopami innych producentw; nie bd dziaa take z komputerami
Toshiba Satellite 15xx, 16xx, 17xx i 35DVD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f %{_datadir}/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure
%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,8}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

install src/{alarm,dispswitch,fan,fnfind} $RPM_BUILD_ROOT%{_bindir}
install src/{ownerstring,svpw} $RPM_BUILD_ROOT%{_bindir}
install src/t{backlight,docked,passwd} $RPM_BUILD_ROOT%{_bindir}
install src/thotswap $RPM_BUILD_ROOT%{_sbindir}
install src/{tuxtime-conf,wmtuxtime,hotkey} $RPM_BUILD_ROOT%{_bindir}
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.1x $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fan

%post
/sbin/chkconfig --add fan
if [ -f /var/lock/subsys/fan ]; then
	/etc/rc.d/init.d/fan restart >&2
else
	echo "Run \"/etc/rc.d/init.d/fan start\" to start Toshiba fan daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/fan ]; then
		/etc/rc.d/init.d/fan stop >&2
	fi
	/sbin/chkconfig --del fan
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog CONTRIBUTE FAQ README README.hotkey TODO
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: toshutils.spec,v $
Revision 1.18  2003/11/24 12:13:51  averne
- updated release

Revision 1.17  2003/11/21 15:59:26  saq
- fixed (hopefully) athlon build

Revision 1.16  2003/11/21 15:28:46  saq
- gtk+2.patch to use GTK+-2 instead of -1
- es translations
- STBR for Ac

Revision 1.15  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.14  2003/06/16 22:31:01  qboosh
- killed xdirs

Revision 1.13  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.12  2003/05/28 13:02:18  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/12/07 14:34:46  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.9  2002/10/21 20:31:57  undefine
-release 2 to rebuild with fixed toshiba-fan.init
-strb

Revision 1.8  2002/09/10 09:41:17  saq
- up to 2.0.1
- don't create /dev/toshiba, already in dev
- add fan.init
- BR: XFree86-tools (for xmessage)
- ExclusiveArch ix86
- use %%configure2_13, not ./configure
- put the binaries in correct places (bindir, sbindir, xbindir -- as
appropriate)
- add .8 and .1x man pages
- new doc compression mechanism

Revision 1.7  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/19 09:49:58  qboosh
- adapterized, longer pl description
- s/byacc/bison/ (preferred)
- BR: gtk+-devel (maybe separate x11 utils to subpackage?)

Revision 1.3  2001/11/14 01:50:34  speedy
- s/-j 8//
- s/bison/byacc/g in BuildRequires
- polish description [have to be changed]
- post install/uninstall [device /dev/toshiba]

Revision 1.2  2001/11/14 01:31:41  speedy
- BuildRequires:  flex
- BuildRequires:  bison

Revision 1.1  2001/11/14 01:13:59  speedy
- Toshiba Linux utilites
